#include <stdio.h>

int IsSquarePalindrome(const char square[], int numRows){
	int i,j;
	for (i=0;i<numRows;i++){
		for (j=0;j<numRows;j++){		
			if(square[i*numRows+j] != square[j*numRows+i] ||
				square[i*numRows+j] != square[(numRows-i-1)*numRows+(numRows-j-1)] ||
				square[i*numRows+j] != square[(numRows-j-1)*numRows+(numRows-i-1)])				
				return 0;
		}

	}	
	
	return 1;

}

int main(){
	int numRows = 5;
	char first[] = {'S','A','T','O','R','A','R','E','P','O','T','E','N','E','T','O','P','E','R','A','R','O','T','A','S'};
	char second[] = {'S','A','R','O','R','A','R','E','P','O','T','E','N','E','T','O','P','E','R','A','R','O','R','A','S'};

	if(IsSquarePalindrome(first, numRows))
		printf("The first array is square palindrome\n");
	else
		printf("The first array is not square palindrome\n");

	if(IsSquarePalindrome(second, numRows))
		printf("The second array is square palindrome\n");
	else
		printf("The second array is not square palindrome\n");
}