#include <stdio.h>
#include <string.h>
#include <ctype.h>
#define SIZE (256)

void ApplyCensorship(char text[], const char forbiddenStrings[][SIZE]){

	int row = 0, len, i, j;
	int textlen;
	

	while(strcmp(forbiddenStrings[row], "") != 0){
		textlen = strlen(text);
		for(i=0;i<textlen;i++){
			len = strlen(forbiddenStrings[row]);
			for(j=0;j<len;j++)
				if(tolower(text[i+j]) != tolower(forbiddenStrings[row][j]))
					break;
			if(j == len)
				for(j=0;j<len;j++)
					text[i+j] = '*';
		}
		row++;
	}
}

int main(){
	
	char forbiddenStrings[][SIZE] = {"flower", "blo", "plant", ""};
	char text[SIZE] = "A flower, sometimes known as a bloom or blossom, is the reproductive structure found in flowering plants. PLANTS ARE COOL."; 
	ApplyCensorship(text, forbiddenStrings);
	printf("CENSORED TEXT: %s\n", text);

}